[make-initrd] [PATCH v6 05/22] bootchain-core, bootchain-waitdev: whitespace
Leonid Krivoshein
klark.devel at gmail.com
Sun Oct 24 20:20:36 MSK 2021
Signed-off-by: Leonid Krivoshein <klark.devel at gmail.com>
---
.../data/bin/bootchain-sh-functions | 28 +++++++++++--------
features/bootchain-core/data/sbin/chaind | 6 ++--
.../data/lib/bootchain/waitdev | 1 +
3 files changed, 21 insertions(+), 14 deletions(-)
diff --git a/features/bootchain-core/data/bin/bootchain-sh-functions b/features/bootchain-core/data/bin/bootchain-sh-functions
index fa6201f..f337767 100644
--- a/features/bootchain-core/data/bin/bootchain-sh-functions
+++ b/features/bootchain-core/data/bin/bootchain-sh-functions
@@ -9,9 +9,11 @@ __bootchain_sh_functions=1
handlerdir=/lib/bootchain
[ "${ROOT-}" = pipeline ] && mntdir=/dev/pipeline || mntdir=/dev/bootchain
+
check_parameter()
{
local v
+
eval "v=\"\${$1-}\""
[ -n "$v" ] ||
fatal "Parameter '$1' required"
@@ -25,20 +27,22 @@ get_parameter()
resolve_target()
{
local target="$1"
+
case "${target%%/*}" in
- '')
- ;;
- pipe[0-9]|pipe[0-9][0-9]|pipe[0-9][0-9][0-9])
- target="$mntdir/dst/step${target:4}"
- ;;
- *)
- if [ -z "${prevdir-}" ]; then
- message "no previous stop to use"
- return
- fi
- target="$prevdir/${target#/}"
- ;;
+ '')
+ ;;
+ pipe[0-9]|pipe[0-9][0-9]|pipe[0-9][0-9][0-9])
+ target="$mntdir/dst/step${target:4}"
+ ;;
+ *)
+ if [ -z "${prevdir-}" ]; then
+ message "no previous stop to use"
+ return
+ fi
+ target="$prevdir/${target#/}"
+ ;;
esac
+
printf '%s' "$target"
}
diff --git a/features/bootchain-core/data/sbin/chaind b/features/bootchain-core/data/sbin/chaind
index d401101..08e5e58 100755
--- a/features/bootchain-core/data/sbin/chaind
+++ b/features/bootchain-core/data/sbin/chaind
@@ -7,6 +7,7 @@ message_time=1
pidfile="/var/run/$PROG.pid"
logfile="/var/log/$PROG.log"
+
exit_handler()
{
local rc="$?"
@@ -15,6 +16,7 @@ exit_handler()
exit $rc
}
+
[ ! -f "$pidfile" ] ||
fatal "already running"
@@ -60,8 +62,8 @@ while [ -n "$chainsteps" ]; do
export name callnum datadir destdir prevdir
- rc=0
- "$exe" || rc=$?
+ rc=0
+ "$exe" || rc=$?
if [ "$rc" != 0 ]; then
[ "$rc" != 2 ] ||
diff --git a/features/bootchain-waitdev/data/lib/bootchain/waitdev b/features/bootchain-waitdev/data/lib/bootchain/waitdev
index 74af6ea..bc81673 100755
--- a/features/bootchain-waitdev/data/lib/bootchain/waitdev
+++ b/features/bootchain-waitdev/data/lib/bootchain/waitdev
@@ -20,5 +20,6 @@ while [ -n "$devspec" ]; do
break
fi
fi
+
sleep 1
done
--
2.24.1
More information about the Make-initrd
mailing list